Create asset

Create a new asset within your account.

💡 Tip: After creating an asset, you can attach asset/copilot resources to it using the Resources endpoint (POST /resources) with the asset_id field.

Required Fields:

  • product_id: The product this asset belongs to
  • sn: Serial number (required)

Optional Fields:

  • name: Asset name (optional but recommended - if omitted, sn will be used as the display name)
  • status: Asset status (0=inactive, 1=active, defaults to 1)
  • data: Custom asset metadata JSON object

Data Field:
The data field is a JSON object for custom asset metadata. Structure is determined by the product's data dictionary.
Common fields include: location, install_date, serial_number, model, etc.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
data
object | null

Data (JSON)

string | null
integer
required

Product ID

string
required
length ≤ 300

Serial number

integer
enum
Defaults to 1

Status (0=unpublished/inactive, 1=published/active)

Allowed:
Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json